loci.formats.in

## Class AmiraReader.HxRLE

- java.lang.Object
- - loci.formats.in.AmiraReader.HxRLE

- All Implemented Interfaces:
    AmiraReader.PlaneReader
  Enclosing class:
    AmiraReader

      class AmiraReader.HxRLE
      extends java.lang.Object
      implements AmiraReader.PlaneReader

  This is the reader for RLE-compressed AmiraMeshes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `compressedSize`
    `(package private) int` | `currentNo`
    `(package private) int[]` | `internalOffsets`
    `(package private) long` | `lastCodeOffset`
    `(package private) int` | `maxOffsetIndex`
    `(package private) long[]` | `offsets`
    `(package private) int` | `planeSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HxRLE(int sliceCount, long compressedSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `read(byte[] buf, int len)`
    `byte[]` | `read(int no, byte[] buf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### compressedSize

          long compressedSize

    - #### offsets

          long[] offsets

    - #### internalOffsets

          int[] internalOffsets

    - #### currentNo

          int currentNo

    - #### maxOffsetIndex

          int maxOffsetIndex

    - #### planeSize

          int planeSize

    - #### lastCodeOffset

          long lastCodeOffset

  - ### Constructor Detail

    - #### HxRLE

          HxRLE(int sliceCount,
                long compressedSize)

  - ### Method Detail

    - #### read

          void read(byte[] buf,
                    int len)
             throws FormatException,
                    java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### read

          public byte[] read(int no,
                             byte[] buf)
                      throws FormatException,
                             java.io.IOException

      Specified by:
        `read` in interface `AmiraReader.PlaneReader`
      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment